---
title: MediaElementAudioSourceNode.mediaElement
slug: Web/API/MediaElementAudioSourceNode/mediaElement
tags:
  - API
  - MediaElementAudioSourceNode
  - Property
  - Reference
  - Web Audio API
  - mediaElement
---
<div>{{APIRef("Web Audio API")}}</div>

<p><span class="seoSummary">The {{domxref("MediaElementAudioSourceNode")}} interface's read-only <code><strong>mediaElement</strong></code> property indicates the {{domxref("HTMLMediaElement")}} that contains the audio track from which the node is receiving audio.</span> This stream was specified when the node was first created, either using the {{domxref("MediaElementAudioSourceNode.MediaElementAudioSourceNode", "MediaElementAudioSourceNode()")}} constructor or the {{domxref("AudioContext.createMediaElementSource()")}} method.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>audioSourceElement</em> = <em>mediaElementAudioSourceNode</em>.mediaElement;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLMediaElement")}} representing the element which contains the source of audio for the node.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">const audioCtx = new window.AudioContext();
const audioElem = document.querySelector('audio');

let options = {
  mediaElement: audioElem
}

let source = new MediaElementAudioSourceNode(audioCtx, options);
console.log(source.mediaElement);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-mediaelementaudiosourcenode-mediaelement','MediaElementAudioSourceNode.mediaElement')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaElementAudioSourceNode.mediaElement")}}</p>
